// JavaScript Document
$(document).ready(function (e) {

    $('#checkAll').click(function (event) {
        if (this.checked) {
            // Iterate each checkbox
            $('.choosenItem').each(function () {

                this.checked = true;
            });
        }
        else {
            // Iterate each checkbox
            $(".choosenItem").each(function () {
                this.checked = false;
            });
        }
    });
    $('#send').live('click', function () {
        $('#sendDiv').show();
    });
    $('#transport').live('click', function () {

        var isValid = validateData();
        if (isValid == true)
        {
            $("#confirmDriverModal").modal("show");
        }
    });
    function validateData()
    {
        //1- اختر فاتورة ع الاقل
        var thereIsBills = false;
        $(".choosenItem").each(function () {
            if (this.checked == true)
            {
                thereIsBills = true;
            }
        });

        if (thereIsBills == false)
        {
            alert('عفوا لم تقم باختيار فواتير');
            return false;
        }
        //2- اختر السائق
        var driver = $("#driver").val();
        if (driver == -1)
        {
            alert('عفوا لم تقم باختيار السائق');
            return false;
        }
        //3- اختر الورشة
        var workshop = $("#workshop").val();
        if (workshop == -1)
        {
            alert('عفوا لم تقم باختيار الورشة');
            return false;
        }

        //4- مدة انجاز الورشة
        var workshoptimeout = $("#workshoptimeout").val();
        if (workshoptimeout == "")
        {
            alert('عفوا لم تقم باختيار مدة انجاز الورشة بالساعة');
            return false;
        }

        //5- مدة انجاز الورشة
        var drivertimeout = $("#drivertimeout").val();
        if (drivertimeout == "")
        {
            alert('عفوا لم تقم باختيار مدة انجاز السائق بالساعة');
            return false;
        }

        return true;
    }

    $('.confirmDriver').live('click', function (e) {
        e.preventDefault();
        var pass = $('#driverPass').val();
        var id = $('#driver').val();

        if (pass == '') {
            $('#driverPassError').html("<p style='color: red;'>ادخل باسورد السائق</p>");
        }
        else {
            $('#driverPassError').html("");
            $.post('userAjaxController.php?do=checkpassword', {id: id, pass: pass}, function (data) {
                if (data == 1)
                {
                    $('#driverPassError').html("");
                    $('#toworkshopForm').submit();
                    $('#transport').attr("id", "");
                }
                else
                {
                    $('#driverPassError').html("<p style='color: red;'>باسورد السائق خطأ</p>");
                }

            });
        }

    });
    //---checkAll_2----------------------------------------------------------------------
    $('#checkAll_2').click(function (event) {
        if (this.checked) {
            // Iterate each checkbox
            $('.choosenItem_2').each(function () {

                this.checked = true;
            });
        }
        else {
            // Iterate each checkbox
            $(".choosenItem_2").each(function () {
                this.checked = false;
            });
        }
    });
    $('#send_2').live('click', function () {
        $('#sendDiv_2').show();
    });
    $('#transport_2').live('click', function () {

        var isValid = validateData_2();
        if (isValid == true)
        {
            $('#workshopRecieveForm').submit();
            $('#transport').attr("id", "");
        }
    });
    function validateData_2()
    {
        //1- اختر فاتورة ع الاقل
        var thereIsBills = false;
        $(".choosenItem_2").each(function () {
            if (this.checked == true)
            {
                thereIsBills = true;
            }
        });

        if (thereIsBills == false)
        {
            alert('عفوا لم تقم باختيار فواتير');
            return false;
        }
        //2- اختر السائق
        var driver = $("#driver_2").val();
        if (driver == -1)
        {
            alert('عفوا لم تقم باختيار السائق');
            return false;
        }
        //3- اختر الورشة
        var branch = $("#branch_2").val();
        if (branch == -1)
        {
            alert('عفوا لم تقم باختيار الفرع');
            return false;
        }

        return true;
    }

    //---checkAll_3----------------------------------------------------------------------
    $('#checkAll_3').click(function (event) {
        if (this.checked) {
            // Iterate each checkbox
            $('.choosenItem_3').each(function () {

                this.checked = true;
            });
        }
        else {
            // Iterate each checkbox
            $(".choosenItem_3").each(function () {
                this.checked = false;
            });
        }
    });
    $('#send_3').live('click', function () {
        $('#sendDiv_3').show();
    });
    $('#transport_3').live('click', function () {

        var isValid = validateData_3();
        if (isValid == true)
        {
            $('#workshopDeliverForm').submit();
            $('#transport').attr("id", "");
        }
    });
    function validateData_3()
    {
        //1- اختر فاتورة ع الاقل
        var thereIsBills = false;
        $(".choosenItem_3").each(function () {
            if (this.checked == true)
            {
                thereIsBills = true;
            }
        });

        if (thereIsBills == false)
        {
            alert('عفوا لم تقم باختيار فواتير');
            return false;
        }
        //2- اختر السائق
        var driver = $("#driver_3").val();
        if (driver == -1)
        {
            alert('عفوا لم تقم باختيار السائق');
            return false;
        }

        return true;
    }
    //---checkAll_4----------------------------------------------------------------------
    $('#checkAll_4').click(function (event) {
        if (this.checked) {
            // Iterate each checkbox
            $('.choosenItem_4').each(function () {

                this.checked = true;
            });
        }
        else {
            // Iterate each checkbox
            $(".choosenItem_4").each(function () {
                this.checked = false;
            });
        }
    });
    $('#send_4').live('click', function () {
        $('#sendDiv_4').show();
    });
    $('#transport_4').live('click', function () {

        var isValid = validateData_4();
        if (isValid == 1)
        {
            $('#toBranchForm').submit();
            $('#transport').attr("id", "");
        }
    });
    function validateData_4()
    {
        $isValidForm = 1;
        //1- اختر فاتورة ع الاقل
        var thereIsBills = false;
        $(".choosenItem_4").each(function () {
            if (this.checked == true)
            {
                thereIsBills = true;
            }
        });

        if (thereIsBills == false)
        {
            alert('عفوا لم تقم باختيار فواتير');
            $isValidForm = 0;
            return false;
        }
        //2- اختر السائق
        var driver = $("#driver_4").val();
        if (driver == -1)
        {
            alert('عفوا لم تقم باختيار عامل التوصيل');
            $isValidForm = 0;
            return false;
        }
        //3- اختر التاريخ
        var recievebranchdate = $("#recievebranchdate").val();
        if (recievebranchdate == "")
        {
            alert('عفوا لم تقم باختيار وقت وتاريخ الاستلام ');
            $isValidForm = 0;
            return false;
        }

        //4- لابد ان يكون تاريخ الاستلام بعد التسليم
        var isWrongDate = true;
        $(".choosenItem_4").each(function () {
            if (this.checked) {
                var elementid = $(this).attr('data-bind');
                var theDate = new Date($('#' + elementid).html());
                recievebranchdate = new Date(recievebranchdate);
                if (recievebranchdate < theDate)
                {
                    isWrongDate = false;
                }
            }
        });

        if (isWrongDate == false)
        {
            alert('عفوا لابد ان يكون تاريخ الاستلام بعد التسليم');
            $isValidForm = 0;
            return false;
        }

        return $isValidForm;
    }

    /*--------------------------------------*/
    $('.getoredrproduct').live('click', function () {
        var id = $(this).attr('data-id');
        $.post('driveropticreport.php?do=orderproducts', {id: id}, function (data) {
            $('#orderproductDivModal').html(data);
            $('#orderproductModal').modal('show');
        });
    });
});


